<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.shape.*?>
<?import javafx.scene.effect.*?>
<?import javafx.scene.text.*?>
<?import java.lang.*?>
<?import java.util.*?>
<?import javafx.scene.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>

<AnchorPane prefHeight="289.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.simulation.earth.ControllerParametersSatellite">
   <children>
      <Label layoutX="102.0" layoutY="29.0" text="Угол наклона плоскости орбиты в градусах" />
      <Label layoutX="102.0" layoutY="71.0" text="Долгота восходящего узла орбиты" />
      <Label layoutX="102.0" layoutY="115.0" text="Начальный аргучент перигея орбиты" />
      <Label layoutX="102.0" layoutY="159.0" text="Высота перигея орбиты" />
      <Label layoutX="102.0" layoutY="203.0" text="Высота апогея орбиты" />
      <TextField fx:id="angleNaclonPloskosti" layoutX="26.0" layoutY="25.0" prefHeight="25.0" prefWidth="68.0" text="98.3" />
      <TextField fx:id="dolgotaVoshodychegoUzla" layoutX="26.0" layoutY="67.0" prefHeight="25.0" prefWidth="68.0" text="0" />
      <TextField fx:id="startingArgumentPerigee" layoutX="26.0" layoutY="111.0" prefHeight="25.0" prefWidth="68.0" text="0" />
      <TextField fx:id="hightPerigee" layoutX="26.0" layoutY="155.0" prefHeight="25.0" prefWidth="68.0" text="2000" />
      <TextField fx:id="hightApogey" layoutX="26.0" layoutY="199.0" prefHeight="25.0" prefWidth="68.0" text="15000" />
      <ComboBox fx:id="colourPathOnEarth" layoutX="402.0" layoutY="54.0" prefHeight="25.0" prefWidth="155.0" promptText="Colour Orbit" />
      <TextField fx:id="lengthPathonEarth" layoutX="402.0" layoutY="184.0" prefHeight="25.0" prefWidth="58.0" text="150" />
      <Label layoutX="468.0" layoutY="188.0" text="Макс. длина" />
      <Label layoutX="466.0" layoutY="142.0" />
      <TextField fx:id="lengthOrbit" layoutX="402.0" layoutY="85.0" prefHeight="25.0" prefWidth="58.0" text="150" />
      <Label layoutX="466.0" layoutY="89.0" text="Макс. длина" />
      <ComboBox fx:id="colourOrbit" layoutX="402.0" layoutY="151.0" prefHeight="25.0" prefWidth="155.0" promptText="Colour Orbit" />
      <Label layoutX="423.0" layoutY="127.0" text="Прорисовка Орбиты" />
      <Label layoutX="416.0" layoutY="29.0" text="Прорисовка Проекции" />
      <Line endX="80.0" layoutX="490.0" layoutY="27.0" startX="-100.0" />
      <Line endX="80.0" layoutX="490.0" layoutY="121.0" startX="-100.0" />
      <Line endX="80.0" layoutX="490.0" layoutY="226.0" startX="-100.0" />
      <Button layoutX="383.0" layoutY="241.0" mnemonicParsing="false" onAction="#onBtCreatedSatellite" prefHeight="30.0" prefWidth="96.0" text="Принять" textFill="#0067db">
         <effect>
            <ColorAdjust brightness="-0.3" hue="0.16" />
         </effect>
         <font>
            <Font size="14.0" />
         </font>
      </Button>
      <TextField fx:id="nameSatellite" layoutX="28.0" layoutY="243.0" text="nameless">
         <effect>
            <ColorAdjust contrast="-0.26" />
         </effect>
      </TextField>
      <Line endX="100.0" layoutX="390.0" layoutY="127.0" rotate="90.0" startX="-100.0" />
      <Label layoutX="185.0" layoutY="247.0" text="Наименование спутника" />
      <Button fx:id="btDelete" layoutX="486.0" layoutY="241.0" mnemonicParsing="false" onAction="#onBtDelete" prefHeight="30.0" prefWidth="96.0" text="Удалить" textFill="#ff007f">
         <effect>
            <ColorAdjust brightness="-0.3" hue="0.16" />
         </effect>
         <font>
            <Font size="14.0" />
         </font>
      </Button>
   </children>
</AnchorPane>
